Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

fix gemfile lock inside spec projects #306

Closed
wants to merge 3 commits into from

2 participants

@lucianosousa

No description provided.

Luciano Sousa added some commits
@ckruse
Collaborator

I partially merged your pull request (and also enhanced it for google and liveid), but what I don't really understand is why we need abstract as a dependency. Could you explain?

@ckruse ckruse referenced this pull request from a commit
@ckruse ckruse merged pull request #306 89b5460
@ckruse
Collaborator

Ok, found issue #308, this explains it. Merged your changes, thanks :)

@ckruse ckruse closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jun 9, 2012
  1. update gemfile lock inside spec projects

    Luciano Sousa authored
  2. fix oauth github spec

    Luciano Sousa authored
  3. fix travis-ci build failed

    Luciano Sousa authored
This page is out of date. Refresh to see the latest.
View
1  Gemfile
@@ -9,6 +9,7 @@ gem 'bcrypt-ruby', "~> 3.0.0"
# Add dependencies to develop your gem here.
# Include everything needed to run rake, tests, features, etc.
group :development do
+ gem 'abstract', '>= 1.0.0'
gem "rails", ">= 3.0.0"
gem 'json', ">= 1.5.1"
gem "rspec", "~> 2.5.0"
View
2  Gemfile.lock
@@ -1,6 +1,7 @@
GEM
remote: http://rubygems.org/
specs:
+ abstract (1.0.0)
actionmailer (3.2.2)
actionpack (= 3.2.2)
mail (~> 2.4.0)
@@ -168,6 +169,7 @@ PLATFORMS
ruby
DEPENDENCIES
+ abstract (>= 1.0.0)
bcrypt-ruby (~> 3.0.0)
bundler (>= 1.1.0)
capybara
View
4 spec/Gemfile.lock
@@ -1,12 +1,10 @@
PATH
remote: ../
specs:
- sorcery (0.7.10)
+ sorcery (0.7.12)
bcrypt-ruby (~> 3.0.0)
- bundler (>= 1.1.0)
oauth (~> 0.4.4)
oauth2 (~> 0.5.1)
- sorcery
GEM
remote: http://rubygems.org/
View
10 spec/rails3/Gemfile.lock
@@ -1,12 +1,10 @@
PATH
remote: ../../
specs:
- sorcery (0.7.10)
+ sorcery (0.7.12)
bcrypt-ruby (~> 3.0.0)
- bundler (>= 1.1.0)
oauth (~> 0.4.4)
oauth2 (~> 0.5.1)
- sorcery
GEM
remote: http://rubygems.org/
@@ -56,10 +54,8 @@ GEM
diff-lcs (1.1.3)
erubis (2.6.6)
abstract (>= 1.0.0)
- faraday (0.7.6)
- addressable (~> 2.2)
+ faraday (0.8.1)
multipart-post (~> 1.1)
- rack (~> 1.1)
ffi (1.0.11)
i18n (0.6.0)
launchy (2.0.5)
@@ -75,7 +71,7 @@ GEM
multi_json (1.1.0)
multipart-post (1.1.5)
nokogiri (1.5.0)
- oauth (0.4.5)
+ oauth (0.4.6)
oauth2 (0.5.2)
faraday (~> 0.7)
multi_json (~> 1.0)
View
2  spec/rails3/spec/controller_oauth2_spec.rb
@@ -98,7 +98,7 @@ def set_external_property
create_new_user
get :login_at_test3
response.should be_a_redirect
- response.should redirect_to("https://github.com/login/oauth/authorize?response_type=code&client_id=#{::Sorcery::Controller::Config.github.key}&redirect_uri=http%3A%2F%2Fblabla.com&scope=&display=")
+ response.should redirect_to("https://github.com/login/oauth/authorize?response_type=code&client_id=#{::Sorcery::Controller::Config.github.key}&redirect_uri=http%3A%2F%2Fblabla.com&scope&display")
end
it "'login_from' logins if user exists (github)" do
View
11 spec/rails3_mongo_mapper/Gemfile.lock
@@ -1,12 +1,10 @@
PATH
remote: ../../
specs:
- sorcery (0.7.10)
+ sorcery (0.7.12)
bcrypt-ruby (~> 3.0.0)
- bundler (>= 1.1.0)
oauth (~> 0.4.4)
oauth2 (~> 0.5.1)
- sorcery
GEM
remote: http://rubygems.org/
@@ -38,7 +36,6 @@ GEM
activemodel (= 3.0.3)
activesupport (= 3.0.3)
activesupport (3.0.3)
- addressable (2.2.7)
archive-tar-minitar (0.5.2)
arel (2.0.10)
bcrypt-ruby (3.0.1)
@@ -51,10 +48,8 @@ GEM
diff-lcs (1.1.3)
erubis (2.6.6)
abstract (>= 1.0.0)
- faraday (0.7.6)
- addressable (~> 2.2)
+ faraday (0.8.1)
multipart-post (~> 1.1)
- rack (~> 1.1)
i18n (0.6.0)
linecache19 (0.5.12)
ruby_core_source (>= 0.1.4)
@@ -73,7 +68,7 @@ GEM
plucky (~> 0.4.0)
multi_json (1.1.0)
multipart-post (1.1.5)
- oauth (0.4.5)
+ oauth (0.4.6)
oauth2 (0.5.2)
faraday (~> 0.7)
multi_json (~> 1.0)
View
11 spec/rails3_mongoid/Gemfile.lock
@@ -1,12 +1,10 @@
PATH
remote: ../../
specs:
- sorcery (0.7.10)
+ sorcery (0.7.12)
bcrypt-ruby (~> 3.0.0)
- bundler (>= 1.1.0)
oauth (~> 0.4.4)
oauth2 (~> 0.5.1)
- sorcery
GEM
remote: http://rubygems.org/
@@ -38,7 +36,6 @@ GEM
activemodel (= 3.0.3)
activesupport (= 3.0.3)
activesupport (3.0.3)
- addressable (2.2.7)
archive-tar-minitar (0.5.2)
arel (2.0.10)
bcrypt-ruby (3.0.1)
@@ -50,10 +47,8 @@ GEM
diff-lcs (1.1.3)
erubis (2.6.6)
abstract (>= 1.0.0)
- faraday (0.7.6)
- addressable (~> 2.2)
+ faraday (0.8.1)
multipart-post (~> 1.1)
- rack (~> 1.1)
i18n (0.6.0)
linecache19 (0.5.12)
ruby_core_source (>= 0.1.4)
@@ -71,7 +66,7 @@ GEM
tzinfo (~> 0.3.22)
multi_json (1.1.0)
multipart-post (1.1.5)
- oauth (0.4.5)
+ oauth (0.4.6)
oauth2 (0.5.2)
faraday (~> 0.7)
multi_json (~> 1.0)
Something went wrong with that request. Please try again.